import request from '@/utils/request'

// 查询数据调查任务列表
export function listTask(query) {
  return request({
    url: '/home/homesteadsurvey/list',
    method: 'get',
    params: query
  })
}

// 导出数据调查任务
export function exportTask(id) {
  return request({
    url: '/houseSurvey/task/export?id='+id,
    method: 'get',
  })
}

// 查询数据调查任务详细
export function getTask(id) {
  return request({
    url: '/houseSurvey/task/get/' + id,
    method: 'get'
  })
}

// 完成数据调查任务详细
export function complete(id) {
  return request({
    url: '/houseSurvey/task/complete/' + id,
    method: 'post'
  })
}

// 发布数据调查任务详细
export function publish(id) {
  return request({
    url: '/houseSurvey/task/publish/' + id,
    method: 'post'
  })
}


// 新增数据调查任务
export function addTask(data) {
  return request({
    url: '/houseSurvey/task/add',
    method: 'post',
    data: data
  })
}

// 修改数据调查任务
export function updateTask(data) {
  return request({
    url: '/houseSurvey/task/edit',
    method: 'post',
    data: data
  })
}

// 删除数据调查任务
export function delTask(id) {
  return request({
    url: '/houseSurvey/task/remove/' + id,
    method: 'get'
  })
}
// 查询附件上传配置列表
export function sysConfig(query) {
  return request({
    url: '/open/typz/list',
    method: 'get',
    params: query
  })
}

// 查询全部乡镇数据
export function getTownInfo(deptId) {
  return request({
    url: '/system/dept/getTownByCounty/'+deptId ,
    method: 'get'
  })
}

// 查询数据调查任务列表
export function userList() {
  return request({
    url: '/home/homesteadsurvey/userList',
    method: 'get'
  })
}

